%global commit 3de55026458ace296df354757361953ec1949859

Name:           nodejs-chai
Version:        2.3.0
Release:        1%{?dist}
Summary:        BDD/TDD assertion library for Node.js and the browser

License:        MIT
URL:            http://chaijs.com
Source0:        https://github.com/chaijs/chai/archive/%{commit}/chai-%{commit}.tar.gz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(mocha)
BuildRequires:  npm(assertion-error)
BuildRequires:  npm(deep-eql)

%description
Chai is a BDD / TDD assertion library for node and the browser that
can be delightfully paired with any JavaScript testing framework.


%prep
%setup -q -n chai-%{commit}
%nodejs_fixdep assertion-error "^1.0.0"
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}/%{nodejs_sitelib}/chai
cp -r package.json index.js chai.js lib %{buildroot}/%{nodejs_sitelib}/chai
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/mocha/bin/mocha --require ./test/bootstrap --reporter dot --ui tdd test/*.js


%files
%doc README.md CONTRIBUTING.md History.md ReleaseNotes.md
%{nodejs_sitelib}/chai


%changelog
* Mon Apr 27 2015 Tom Hughes <tom@compton.nu> - 2.3.0-1
- Update to 2.3.0 upstream release

* Fri Mar 27 2015 Tom Hughes <tom@compton.nu> - 2.2.0-1
- Update to 2.2.0 upstream release

* Mon Mar 16 2015 Tom Hughes <tom@compton.nu> - 2.1.2-1
- Update to 2.1.2 upstream release

* Fri Mar  6 2015 Tom Hughes <tom@compton.nu> - 2.1.1-3
- Fix typo

* Fri Mar  6 2015 Tom Hughes <tom@compton.nu> - 2.1.1-2
- Relax assertion-error dependency

* Thu Mar  5 2015 Tom Hughes <tom@compton.nu> - 2.1.1-1
- Update to 2.1.1 upstream release

* Fri Feb 13 2015 Tom Hughes <tom@compton.nu> - 2.0.0-1
- Update to 2.0.0 upstream release

* Wed Nov 12 2014 Tom Hughes <tom@compton.nu> - 1.10.0-1
- Update to 1.10.0 upstream release

* Tue Sep 30 2014 Tom Hughes <tom@compton.nu> - 1.9.2-1
- Update to 1.9.2 upstream release

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 20 2014 Tom Hughes <tom@compton.nu> - 1.9.1-1
- Update to 1.9.1 upstream release
- Switch to using github as source so we get tests

* Fri Jan 31 2014 Tom Hughes <tom@compton.nu> - 1.9.0-1
- Update to 1.9.0 upstream release

* Sat Aug 17 2013 Tom Hughes <tom@compton.nu> - 1.7.2-1
- Initial build of 1.7.2
